Python
import requests
url = "https://app.langwatch.ai/api/workflows/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"description": "<string>",
"isEvaluator": true,
"isComponent": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"platformUrl": "<string>"
}Workflows
Get a workflow by its ID
Get a workflow by its ID
GET
/
api
/
workflows
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/workflows/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"description": "<string>",
"isEvaluator": true,
"isComponent": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"platformUrl": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Was this page helpful?
⌘I